//
//  GMImageView+GMFace.m
//  Gengmei
//
//  Created by 刘鹿杰 on 2019/6/26.
//  Copyright © 2019 更美互动信息科技有限公司. All rights reserved.
//

#import "GMImageView+GMFace.h"
#import "UIImage+GMExtension.h"
#import "UIView+GMExtension.h"

@implementation GMImageView (GMFace)

// 给定 X 轴， 画虚 - 竖线
+ (GMImageView *)creatVerticalDottedWithX:(CGFloat)X {
    UIImage *image = [UIImage imageNamed:@"facev3_vertical_dotted"];
    GMImageView *imageView = [[GMImageView alloc] initWithImage:[image resizableImage]];
    imageView.gm_x = X;
    imageView.size = CGSizeMake(1, 0);
    return imageView;
}
// 给定 X 轴， 画实 - 竖线
+ (GMImageView *)creatVerticalPathWithX:(CGFloat)X {
    UIImage *image = [UIImage imageNamed:@"facev3_vertical_path"];
    GMImageView *imageView = [[GMImageView alloc] initWithImage:[image resizableImage]];
    imageView.gm_x = X;
    imageView.size = CGSizeMake(1, 0);
    return imageView;
}
// 给定 Y 轴， 画虚 - 横线
+ (GMImageView *)creatHorizontalDottedWithY:(CGFloat)Y {
    UIImage *image = [UIImage imageNamed:@"facev3_horizontal_dotted"];
    GMImageView *imageView = [[GMImageView alloc] initWithImage:[image resizableImage]];
    imageView.gm_y = Y;
    imageView.size = CGSizeMake(0, 1);
    return imageView;
}

// 给定 Y 轴， 画实 - 横线
+ (GMImageView *)creatHorizontalPathWithY:(CGFloat)Y {
    UIImage *image = [UIImage imageNamed:@"facev3_horizontal_path"];
    GMImageView *imageView = [[GMImageView alloc] initWithImage:[image resizableImage]];
    imageView.gm_y = Y;
    imageView.size = CGSizeMake(0, 1);
    return imageView;
}

@end
